Linux distro's blijken niet te draaien op laatste generatie Mac's
07-11-2018 | door: Wouter Hoeffnagel

Linux distro's blijken niet te draaien op laatste generatie Mac's

Slecht nieuws voor gebruikers die Linux op een nieuwe Mac willen draaien. Verschillende gebruikers melden dat de T2 chip in de meest recente Mac's het onmogelijk maakt naast macOS en Linux andere besturingssystemen te draaien.

The Register wijst op gebruikers die op Reddit klagen over problemen om Linux distro's te laten draaien op de laatste generatie Mac's. De problemen zijn volgens de gebruikers te wijten aan de nieuwe T2 chip, die onder andere secure booting verzorgd. Dankzij deze ondersteunen de systemen standaard uitsluitend trust content die is ondertekend door Apple.

Microsoft Corporation UEFI CA 2011 certificaat

Het is overigens wel mogelijk met behulp van BootCamp Windows te draaien op de nieuwste generatie Mac's. Hiervoor wordt gebruik gemaakt van het Microsoft Windows Production CA 2011 certificaat, dat in de UEFI firmware is verwerkt. Voorheen konden Linux gebruikers maken van het Microsoft Corporation UEFI CA 2011 certificaat om Linux te installeren op Mac's. Dit certificaat wordt echter niet langer vertrouwd.

Gebruikers hebben de mogelijkheid met behulp van Apple Startup Security Utility te booten zonder beveiliging, wat in theorie mogelijk maakt deze beperking te beperken. Op StackExchange melden gebruikers echter dat deze optie in de praktijk niet geen verschil maakt.

Terug naar nieuws overzicht
Software